//
//  CCDefine.swift
//  SwiftProject
//
//  Created by soldoros on 2024/1/10.
//

import UIKit


// 屏幕的宽
let SCREEN_Width = UIScreen.main.bounds.size.width
// 屏幕的高
let SCREEN_Height = UIScreen.main.bounds.size.height
//状态栏
let StatuBar_Height = UIDevice.getStatuBarHeight()
//导航栏
let NavBar_Height = UIDevice.getNavGationBarHeight()
//安全区域顶部
let SafeAreaTop_Height = UIDevice.getSafeAreaTopHeight()
//安全区域底部（iPhone X有）
let SafeAreaBottom_Height = UIDevice.getSafeAreaBottomHeight()
//标签栏
let TabBar_Height = UIDevice.getTabBarHeight()
//根页面主视图部分的高度
let MainViewRoot_Height = UIDevice.getMainViewRoot_Height()
//子页面主视图部分的高度
let MainViewSub_Height = UIDevice.getMainViewSub_Height()


//主题色
let TitleColor = CCUserDefault.sharedUserDefault.titleColor()
//背景色
let BackGroundColor = CCUserDefault.sharedUserDefault.backGroundColor()
//线条颜色
let LineColor = CCUserDefault.sharedUserDefault.lineColor()
//标签栏图标默认状态颜色
let tabBarTintDefaultColor = CCUserDefault.sharedUserDefault.tabBarTintDefaultColor()
//标签栏图标选中状态颜色
let tabBarTintSelectColor = CCUserDefault.sharedUserDefault.tabBarTintSelectColor()
//线条颜色
let CellLineColor = UIColor.colorWithRGB(_r: 200, _g: 200, _b: 200)
